<?php

// Modul-Input

if (OOAddon::isAvailable('mp_availability_calendar'))
{
  // select an object 
  $select_object = new rex_select();
  $select_object->setName("VALUE[1]");
  $select_object->setSize(1);
  $select_object->addSqlOptions('SELECT `name`, `id` 
                                 FROM `'.$REX['TABLE_PREFIX'].'mp_availability_calendar_objects`
                                 WHERE `status` = 1');
  $select_object->setSelected("REX_VALUE[1]"); 
  echo $I18N->msg('availability_calendar_module_select_object').': ';
  $select_object->show();

  echo '<br /><br />';

  // select the number of month to show 
  $select_month_num = new rex_select();
  $select_month_num->setName("VALUE[2]");
  $select_month_num->setSize(1);
  $select_month_num->addArrayOptions(range(1, 12), false);
  $select_month_num->setSelected("REX_VALUE[2]"); 
  echo $I18N->msg('availability_calendar_module_month_to_show').': ';
  $select_month_num->show();

  echo '<br /><br />';

  // select the number of tables in a row 
  $select_month_per_row = new rex_select();
  $select_month_per_row->setName("VALUE[3]");
  $select_month_per_row->setSize(1);
  $select_month_per_row->addArrayOptions(range(1, 4), false);
  $select_month_per_row->setSelected("REX_VALUE[3]"); 
  echo $I18N->msg('availability_calendar_module_month_per_row').': ';
  $select_month_per_row->show();

  echo '<br /><br />';

  // select if a navigation should be displayed 
  $select_show_nav = new rex_select();
  $select_show_nav->setName("VALUE[4]");
  $select_show_nav->setSize(1);
  $select_show_nav->addOption($I18N->msg('yes'), '1');
  $select_show_nav->addOption($I18N->msg('no'), '0');
  $select_show_nav->setSelected("REX_VALUE[4]"); 
  echo $I18N->msg('availability_calendar_module_show_navigation').': ';
  $select_show_nav->show();

}
else
{
  // addon is not available
  echo rex_warning('Dieses Modul bentigt das "mp_availability_calendar" Addon!');

}

?>